Create Customer (v2)
curl --request POST \
--url https://waas-staging.embedly.ng/WaasCore/api/v2/customers/add \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"dob": "<string>",
"customerTypeId": "<string>",
"alias": "<string>",
"countryId": "<string>",
"city": "<string>",
"address": "<string>",
"mobileNumber": "<string>",
"emailAddress": "<string>",
"gender": "<string>",
"maritalStatus": "<string>",
"pepDeclaration": true,
"employmentStatus": "<string>",
"occupation": "<string>",
"sourceOfFunds": "<string>",
"passportUrl": "<string>",
"mothersMaidenName": "<string>",
"nextOfKin": {
"surname": "<string>",
"firstName": "<string>",
"otherNames": "<string>",
"relationship": "<string>",
"mobileNumber": "<string>",
"address": "<string>"
}
}
'import requests
url = "https://waas-staging.embedly.ng/WaasCore/api/v2/customers/add"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"dob": "<string>",
"customerTypeId": "<string>",
"alias": "<string>",
"countryId": "<string>",
"city": "<string>",
"address": "<string>",
"mobileNumber": "<string>",
"emailAddress": "<string>",
"gender": "<string>",
"maritalStatus": "<string>",
"pepDeclaration": True,
"employmentStatus": "<string>",
"occupation": "<string>",
"sourceOfFunds": "<string>",
"passportUrl": "<string>",
"mothersMaidenName": "<string>",
"nextOfKin": {
"surname": "<string>",
"firstName": "<string>",
"otherNames": "<string>",
"relationship": "<string>",
"mobileNumber": "<string>",
"address": "<string>"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
middleName: '<string>',
dob: '<string>',
customerTypeId: '<string>',
alias: '<string>',
countryId: '<string>',
city: '<string>',
address: '<string>',
mobileNumber: '<string>',
emailAddress: '<string>',
gender: '<string>',
maritalStatus: '<string>',
pepDeclaration: true,
employmentStatus: '<string>',
occupation: '<string>',
sourceOfFunds: '<string>',
passportUrl: '<string>',
mothersMaidenName: '<string>',
nextOfKin: {
surname: '<string>',
firstName: '<string>',
otherNames: '<string>',
relationship: '<string>',
mobileNumber: '<string>',
address: '<string>'
}
})
};
fetch('https://waas-staging.embedly.ng/WaasCore/api/v2/customers/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"firstName": "John",
"middleName": null,
"lastName": "Doe",
"dob": "2000-01-15T00:00:00",
"organizationId": "ecbf7606-30c3-11f0-a818-6045bd97b81d",
"city": "Lagos",
"address": "12 Example Street",
"countryId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"customerTypeId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6e",
"emailAddress": "john.doe@example.com",
"mobileNumber": "08012345678",
"customerTierId": 0,
"gender": "Male",
"occupation": "Engineer",
"maritalStatus": "Single",
"pepDeclaration": false,
"employmentStatus": "Employed",
"sourceOfFunds": "MonthlySalary",
"passportUrl": "https://storage.example.com/passport.jpg",
"mothersMaidenName": "Smith",
"nextOfKin": {
"surname": "Doe",
"firstName": "Jane",
"otherNames": null,
"relationship": "Spouse",
"mobileNumber": "08098765432",
"address": "12 Example Street"
}
},
"status": 201,
"message": ""
}
{
"data": null,
"status": 400,
"message": "employmentStatus is required"
}
{
"data": null,
"status": 404,
"message": "Customer Type not found"
}
{
"data": null,
"status": 500,
"message": "An unexpected error occurred"
}
Individual
Create Customer (v2)
This endpoint enables you to create a customer profile.
POST
/
WaasCore
/
api
/
v2
/
customers
/
add
Create Customer (v2)
Use this v2 endpoint to create an individual customer profile.
Request Parameters
Customer’s first name. Example:
JohnCustomer’s last name. Example:
DoeCustomer’s middle name.
Must be greater than 18 years. Date of birth in ISO format. Example:
2000-01-15T00:00:00The customer’s type (UUID).
Optional display name for the customer.
Customer’s nationality (UUID).
Customer’s residential city. Example:
LagosCustomer’s residential address. Example:
12 Example StreetCustomer’s phone number. Optional only for closed organisations. Example:
08012345678Customer’s email. Optional only for closed organisations. Example:
john.doe@example.comCustomer’s gender. Example:
MaleCustomer’s marital status. Example:
SinglePolitically Exposed Person declaration.
Employment status. Example:
EmployedCustomer’s occupation. Example:
EngineerSource of funds. Example:
MonthlySalaryURL to customer’s passport photograph.
Customer’s mother’s maiden name.
Next of kin details.
Show properties
Show properties
The surname of the next of kin.
The first name of the next of kin.
Any other names of the next of kin.
Relationship to the customer (e.g., Spouse, Sibling).
Phone number of the next of kin.
Residential address of the next of kin.
{
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"firstName": "John",
"middleName": null,
"lastName": "Doe",
"dob": "2000-01-15T00:00:00",
"organizationId": "ecbf7606-30c3-11f0-a818-6045bd97b81d",
"city": "Lagos",
"address": "12 Example Street",
"countryId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"customerTypeId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6e",
"emailAddress": "john.doe@example.com",
"mobileNumber": "08012345678",
"customerTierId": 0,
"gender": "Male",
"occupation": "Engineer",
"maritalStatus": "Single",
"pepDeclaration": false,
"employmentStatus": "Employed",
"sourceOfFunds": "MonthlySalary",
"passportUrl": "https://storage.example.com/passport.jpg",
"mothersMaidenName": "Smith",
"nextOfKin": {
"surname": "Doe",
"firstName": "Jane",
"otherNames": null,
"relationship": "Spouse",
"mobileNumber": "08098765432",
"address": "12 Example Street"
}
},
"status": 201,
"message": ""
}
{
"data": null,
"status": 400,
"message": "employmentStatus is required"
}
{
"data": null,
"status": 404,
"message": "Customer Type not found"
}
{
"data": null,
"status": 500,
"message": "An unexpected error occurred"
}
⌘I